<?php

namespace common\logic\Distribution\ProductDistribution;

use common\logic\BaseService;
use common\logic\Distribution\Distribution\Distribution;
use common\logic\Product\Product\Product;
use common\logic\RepositoryInterface;

class ProductDistributionRepository extends BaseService implements RepositoryInterface
{
    public function countByDistribution(Distribution $distribution): int
    {
        return ProductDistribution::searchCount([
            'id_distribution' => $distribution->id
        ]);
    }

    public function getOne(Distribution $distribution, Product $product): ?ProductDistribution
    {
        return ProductDistribution::searchOne([
            'id_distribution' => $distribution->id,
            'id_product' => $product->id
        ]);
    }
}