<?php

namespace common\logic\Order\Order;

use common\logic\BaseService;
use common\logic\Distribution\Distribution\Distribution;
use common\logic\RepositoryInterface;

class OrderRepository extends BaseService implements RepositoryInterface
{
    public function getByDistribution(Distribution $distribution, string $conditionAppend = '')
    {
        return Order::searchAll([
            'distribution.date' => $distribution->date,
            'distribution.id_producer' => $distribution->id_producer
        ],
            [
                'conditions' => 'date_delete IS NULL ' . $conditionAppend
            ]);
    }
}